Get X conversation thread
Fetch a public X (Twitter) conversation thread by post ID.
POST
/
api
/
v1
/
platform
/
scrapers
/
x
/
conversation
Get X conversation thread
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"postId": "1234567890123456789",
"maxTweets": 250.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({postId: '1234567890123456789', maxTweets: 250.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation"
payload = {
"postId": "1234567890123456789",
"maxTweets": 250.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/x/conversation
Get an X (Twitter) conversation thread by post ID.Retrieve the posts in a conversation thread starting from a post ID.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"postId": "1234567890123456789", "maxTweets": 50}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
⌘I
Get X conversation thread
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"postId": "1234567890123456789",
"maxTweets": 250.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({postId: '1234567890123456789', maxTweets: 250.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/x/conversation"
payload = {
"postId": "1234567890123456789",
"maxTweets": 250.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}